XISUITEDokumentation

Custom Roles

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List custom roles#

GET/rolesToken

Parameter

NameOrtTypBeschreibung
base_roleQuerystring

Werte: owneradminmemberviewer

is_activeQuerystring–
is_deletedQuerystring–
searchQuerystring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/roles" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a custom role#

POST/rolesToken

Request-Bodyapplication/jsonCreateCustomRoleDto

NameTypBeschreibung
namePflichtstring

Role name

descriptionobject

Role description

colorstring

Hex color

Beispiel: #6B7280

iconobject

Icon name

base_rolestring

Werte: owneradminmemberviewer

Standard: "member"

permissionsobject

Permissions JSONB object

is_activeboolean

Whether role is active

Standard: true

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/roles" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'

Get custom role by ID#

GET/roles/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/roles/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a custom role#

PUT/roles/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateCustomRoleDto

NameTypBeschreibung
namestring–
descriptionobject–
colorstring–
iconobject–
base_rolestring

Werte: owneradminmemberviewer

permissionsobject–
is_activeboolean–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/roles/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","description":{},"color":"…"}'

Actions: toggle_active | restore | permanent_delete | duplicate | check_usage#

PATCH/roles/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonPatchCustomRoleDto

NameTypBeschreibung
actionPflichtstring

Werte: toggle_activerestorepermanent_deleteduplicatecheck_usage

is_activeboolean

Required for toggle_active

newNamestring

Required for duplicate

organizationIdstring

Organization ID (for duplicate)

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/roles/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"toggle_active"}'

Soft-delete a custom role#

DELETE/roles/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/roles/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions